use crate::periph::at28c256::At28C256;
use crate::traits::bus_device::BusDevice;

impl BusDevice for At28C256 {
    fn min_offset(&self) -> u16 {
        self.offset
    }

    fn max_offset(&self) -> u16 {
        self.max_offset
    }

    fn address_bus(&self) -> u16 {
        self.address_bus
    }

    fn data_bus(&self) -> u8 {
        self.data_bus
    }

    fn set_address_bus(&mut self, new_value: u16) {
        self.address_bus = new_value
    }

    fn set_data_bus(&mut self, new_value: u8) {
        self.data_bus = new_value
    }
}
